Chart of Account (COA) by ID

The Chart of Account by ID service allows you to pass in a transaction detail type ID and return the details for that transaction detail type.

Service Name

transaction_detail_type_detail

Required Parameters

NameType
transaction_detail_type_idinteger

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=transaction_detail_type_detail&transaction_detail_type_id=1"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="transaction_detail_type_detail" name="srv"/>
      <argument value="1" name="transaction_detail_type_id"/>
    </parameters>
  </request>
  <response>
    <service>transaction_detail_type_detail</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <transaction_detail_types count="1">
      <transaction_detail_type id="1">
        <name>General Fund - TD</name>
        <order_by>1</order_by>
        <owner id="1">
          <first_name>Larry</first_name>
          <last_name>Cucumber</last_name>
          <full_name>Larry Cucumber</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile">0123456789</phone>
          </phones>
        </owner>
        <editable>1</editable>
        <listed>1</listed>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2001-12-06 22:20:46</created>
        <modified>2013-08-05 10:40:53</modified>
      </transaction_detail_type>
    </transaction_detail_types>
  </response>
</ccb_api>